Package org.drinkless.tdlib

# Class TdApi.DecryptGroupCallData

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Data>
org.drinkless.tdlib.TdApi.DecryptGroupCallData

Enclosing class:
  `TdApi`

public static class TdApi.DecryptGroupCallData extends TdApi.Function<TdApi.Data>
Decrypts group call data received by tgcalls.

Returns `Data`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `byte[]`
  `data`
  Data to decrypt.
  `TdApi.GroupCallDataChannel`
  `dataChannel`
  Data channel for which data was encrypted; pass null if unknown.
  `int`
  `groupCallId`
  Group call identifier.
  `TdApi.MessageSender`
  `participantId`
  Identifier of the group call participant, which sent the data.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DecryptGroupCallData()`
  Default constructor for a function, which decrypts group call data received by tgcalls.
  `DecryptGroupCallData(int groupCallId, TdApi.MessageSender participantId, TdApi.GroupCallDataChannel dataChannel, byte[] data)`
  Creates a function, which decrypts group call data received by tgcalls.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### groupCallId

    public int groupCallId
    Group call identifier. The call must not be a video chat.

  - ### participantId

    public TdApi.MessageSender participantId
    Identifier of the group call participant, which sent the data.

  - ### dataChannel

    public TdApi.GroupCallDataChannel dataChannel
    Data channel for which data was encrypted; pass null if unknown.

  - ### data

    public byte[] data
    Data to decrypt.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### DecryptGroupCallData

    public DecryptGroupCallData()
    Default constructor for a function, which decrypts group call data received by tgcalls.

    Returns `Data`

  - ### DecryptGroupCallData

    public DecryptGroupCallData(int groupCallId, TdApi.MessageSender participantId, TdApi.GroupCallDataChannel dataChannel, byte[] data)
    Creates a function, which decrypts group call data received by tgcalls.

    Returns `Data`

    Parameters:
      `groupCallId` - Group call identifier. The call must not be a video chat.
      `participantId` - Identifier of the group call participant, which sent the data.
      `dataChannel` - Data channel for which data was encrypted; pass null if unknown.
      `data` - Data to decrypt.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Data>`
    Returns:
      this.CONSTRUCTOR